Skip to main content
DELETE
/
api
/
agent-runtimes
/
{runtime}
/
credentials
Delete credentials for a built-in runtime
curl --request DELETE \
  --url https://litellm-rust.onrender.com/api/agent-runtimes/{runtime}/credentials \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://litellm-rust.onrender.com/api/agent-runtimes/{runtime}/credentials"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://litellm-rust.onrender.com/api/agent-runtimes/{runtime}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));

Authorizations

Authorization
string
header
required

Your LITELLM_MASTER_KEY. Default for local Docker Compose: sk-local

Path Parameters

runtime
enum<string>
required
Available options:
claude_managed_agents,
cursor,
gemini_antigravity,
elastic_agent_builder

Response

Credential deleted